#!/bin/sh

if [ $# -lt 1 ] ; then
	echo "usage : " `basename $0` "URI1 URI2 ... " 1>&2
	exit 1
fi

rm -f inputs.str

while [ "$1" != "" ]
do
	descartes get_httpstring.dec $1 >> inputs.str
	shift
done


descartes teniwoha.dec <inputs.str >tmpfile.str

sort tmpfile.str | descartes wsort-reduce.dec | sort -g -r -k 2 > outputs.str

